petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchComputeGradient

Computes the gradient of the objective function

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchComputeGradient(TaoLineSearch ls, Vec x, Vec g)

Collective on TaoLineSearch Many br

### Input Parameters

| ls | - the TaoLineSearch context Many br
| x | - input vector Many br

### Output Parameter

g -gradient vector Many br

Notes: TaoComputeGradient() is typically used within line searches Many brso most users would not generally call this routine themselves. Many br

Many br

### See Also

TaoLineSearchComputeObjective(), TaoLineSearchComputeObjectiveAndGradient(), TaoLineSearchSetGradient()

Level:developer
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages